## START: Set by rpmautospec
## (rpmautospec version 0.2.6)
%define autorelease(e:s:pb:) %{?-p:0.}%{lua:
    release_number = 5;
    base_release_number = tonumber(rpm.expand("%{?-b*}%{!?-b:1}"));
    print(release_number + base_release_number - 1);
}%{?-e:.%{-e*}}%{?-s:.%{-s*}}%{?dist}
## END: Set by rpmautospec

%global srcname subprocess-tee
%global pkgname python-subprocess-tee
%global forgeurl https://github.com/pycontribs/subprocess-tee

%bcond_with tests

Name:    %{pkgname}
Version: 0.3.5
%forgemeta
Release: %autorelease
Summary: A subprocess.run that works like tee, being able to display output in real time while still capturing it

URL:     %{forgeurl}
Source:  %{pypi_source}
License: MIT

Patch0: 0002_ignoring_molecule_test.patch

BuildArch: noarch

BuildRequires: python3-devel
BuildRequires: pyproject-rpm-macros

%if %{with tests}
BuildRequires: python3dist(rich)
BuildRequires: python3dist(enrich)
BuildRequires: python3dist(pytest)
BuildRequires: python3dist(pytest-cov)
BuildRequires: python3dist(pytest-mock)
BuildRequires: python3dist(pytest-xdist)
%endif

%global common_description %{expand:
This package provides an drop-in alternative to subprocess.run that captures
the output while still printing it in real time, just the way tee does.}

%description %{common_description}

%package -n python3-%{srcname}
Summary: %summary

Requires: python3dist(rich)
Requires: python3dist(enrich)

%py_provides python3-%{srcname}
%description -n python3-%{srcname} %{common_description}

%prep
%autosetup -p1 -n %{srcname}-%{version}

%generate_buildrequires
%pyproject_buildrequires -r %{?with_tests:-x testing}

%build
%pyproject_wheel

%install
%pyproject_install

%if %{with tests}
%check
PYTHONPATH=src %{python3} -m pytest -vv src/subprocess_tee/test
%endif

%files -n python3-%{srcname}
%license LICENSE
%{python3_sitelib}/subprocess_tee/
%{python3_sitelib}/subprocess_tee-*.dist-info/

%changelog
* Fri Jul 22 2022 Fedora Release Engineering <releng@fedoraproject.org> 0.3.5-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_37_Mass_Rebuild

* Sat Jul 09 2022 chedi toueiti <chedi.toueiti@gmail.com> 0.3.5-4
- clean up and modernization of the spec file

* Tue Jun 14 2022 Python Maint <python-maint@redhat.com> 0.3.5-3
- Rebuilt for Python 3.11

* Fri Jan 21 2022 Fedora Release Engineering <releng@fedoraproject.org> 0.3.5-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_36_Mass_Rebuild

* Mon Dec 06 2021 chedi <chedi.toueiti@gmail.com> 0.3.5-1
- updating to version 0.3.5 (#2003693)

* Wed Sep 01 2021 chedi <chedi.toueiti@gmail.com> 0.3.2-2
- RPMAUTOSPEC: unresolvable merge
